/* styles.css */
body {
    font-family: Arial, sans-serif;
    width: 100%;
    height: 100%;
}

.filter {
    text-align: center;
    margin: 20px 0;
}

.filter button {
    margin: 5px;
    cursor: pointer;
}

.portfolio {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-around;
}

.portfolio .item {
    width: calc(25% - 20px); /* Adjust the width as needed */
    height: 300px;
    margin-bottom: 20px; /* Adjust the margin as needed */
}

@media only screen and (max-width: 600px) {
    .portfolio .item {
        width: calc(50% - 5px); /* Adjust the width as needed */
        height: 200px;
        margin-bottom: 20px; /* Adjust the margin as needed */
}}

.portfolio .item img {
    width: 100%;
    height: 100%;
    cursor: pointer;
    object-fit: cover; /* Crop and center the image within its container */
    object-position: center; /* Center the image horizontally within its container */
}

#lightbox {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.8);
    text-align: center;
}

#lightbox-image {
    max-width: 80%;
    max-height: 80%;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

#close-lightbox {
    position: absolute;
    top: 10px;
    right: 10px;
    padding: 10px 20px;
    background: #fff;
    border: none;
    cursor: pointer;
}

.category-button {
    padding: 25px;
    background: #343434;
    color: white;
    font-family:'Poppins', sans-serif;
    font-size: 16px;
    font-weight: bold;
}

.category-button:hover{
    background: #414345;
}

@media only screen and (max-width: 600px) {
    .category-button {
        padding: 10px;
        background: #343434;
        color: white;
        font-family:'Poppins', sans-serif;
        font-size: 12px;
        font-weight: bold;
    }
}